package Bencher::ScenarioR::LogGer::Overhead;

our $VERSION = 0.014; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        code_overhead_time => 104,
        errors => 0.00018,
        participant => "use Log::Dispatchouli;",
        samples => 20,
        time => 110,
        vs_slowest => 1,
      },
      {
        code_overhead_time => 94,
        errors => 0.00014,
        participant => "use Log::Dispatch; my \$null = Log::Dispatch->new(outputs=>[ [\"Nu",
        samples => 20,
        time => 100,
        vs_slowest => 1,
      },
      {
        code_overhead_time => 94,
        errors => 0.00048,
        participant => "use Log::Dispatch;",
        samples => 20,
        time => 100,
        vs_slowest => 1.1,
      },
      {
        code_overhead_time => 88,
        errors => 0.00024,
        participant => "use Mojo::Log;",
        samples => 20,
        time => 94,
        vs_slowest => 1.1,
      },
      {
        code_overhead_time => 86,
        errors => 0.00019,
        participant => "use Mojo::Log; my \$log=Mojo::Log->new(level=>\"warn\")",
        samples => 20,
        time => 92,
        vs_slowest => 1.2,
      },
      {
        code_overhead_time => 74,
        errors => 0.00014,
        participant => "use Log::Contextual qw(:log);",
        samples => 20,
        time => 80,
        vs_slowest => 1.3,
      },
      {
        code_overhead_time => 34,
        errors => 0.00022,
        participant => "use Log::Log4perl;",
        samples => 20,
        time => 40,
        vs_slowest => 2.7,
      },
      {
        code_overhead_time => 17,
        errors => 6.1e-05,
        participant => "use Log::ger::App; use Log::ger;",
        samples => 20,
        time => 23,
        vs_slowest => 4.6,
      },
      {
        code_overhead_time => 17,
        errors => 0.00012,
        participant => "use Log::Log4perl::Tiny;",
        samples => 20,
        time => 23,
        vs_slowest => 4.7,
      },
      {
        code_overhead_time => 11,
        errors => 5.5e-05,
        participant => "use Log::ger::App;",
        samples => 20,
        time => 17,
        vs_slowest => 6.4,
      },
      {
        code_overhead_time => 10,
        errors => 3.3e-05,
        participant => "use Log::ger::Like::Log4perl;",
        samples => 20,
        time => 16,
        vs_slowest => 6.4,
      },
      {
        code_overhead_time => 9,
        errors => 4.5e-05,
        participant => "use Log::Any q(\$log);",
        samples => 20,
        time => 15,
        vs_slowest => 6.9,
      },
      {
        code_overhead_time => 8,
        errors => 4.7e-05,
        participant => "use Log::Any;",
        samples => 20,
        time => 14,
        vs_slowest => 7.4,
      },
      {
        code_overhead_time => 6,
        errors => 3.6e-05,
        participant => "use Log::ger::Output::Screen;",
        samples => 21,
        time => 12,
        vs_slowest => 8.7,
      },
      {
        code_overhead_time => 3.1,
        errors => 3.1e-05,
        participant => "use Log::ger::Output::Composite;",
        samples => 20,
        time => 9.1,
        vs_slowest => 12,
      },
      {
        code_overhead_time => 3,
        errors => 4.5e-05,
        participant => "use Log::ger::Plugin::OptAway; use Log::ger;",
        samples => 21,
        time => 9,
        vs_slowest => 12,
      },
      {
        code_overhead_time => 1,
        errors => 4e-05,
        participant => "use Log::ger::Like::LogAny;",
        samples => 20,
        time => 7,
        vs_slowest => 15,
      },
      {
        code_overhead_time => 0.6,
        errors => 2.3e-05,
        participant => "use Log::ger; Log::ger->get_logger;",
        samples => 20,
        time => 6.6,
        vs_slowest => 16,
      },
      {
        code_overhead_time => 0.6,
        errors => 3.9e-05,
        participant => "use Log::ger;",
        samples => 21,
        time => 6.6,
        vs_slowest => 16,
      },
      {
        code_overhead_time => 0.5,
        errors => 5.1e-05,
        participant => "use Log::ger ();",
        samples => 20,
        time => 6.5,
        vs_slowest => 16,
      },
      {
        code_overhead_time => 0,
        errors => 5.5e-05,
        participant => "perl -e1 (baseline)",
        samples => 20,
        time => 6,
        vs_slowest => 18,
      },
    ],
    {
      "func.bencher_args"              => {
                                            action => "bench",
                                            note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                            scenario_module => "LogGer::Overhead",
                                          },
      "func.bencher_version"           => undef,
      "func.code_startup"              => 1,
      "func.cpu_info"                  => [
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "lahf_lm",
                                                                                "epb",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "xsaveopt",
                                                                                "dtherm",
                                                                                "ida",
                                                                                "arat",
                                                                                "pln",
                                                                                "pts",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "6144 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 42,
                                              name                         => "Intel(R) Core(TM) i5-2400 CPU \@ 3.10GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 0,
                                              speed                        => 3271.612,
                                              stepping                     => 7,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "lahf_lm",
                                                                                "epb",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "xsaveopt",
                                                                                "dtherm",
                                                                                "ida",
                                                                                "arat",
                                                                                "pln",
                                                                                "pts",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "6144 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 42,
                                              name                         => "Intel(R) Core(TM) i5-2400 CPU \@ 3.10GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 1,
                                              speed                        => "3250.610",
                                              stepping                     => 7,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "lahf_lm",
                                                                                "epb",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "xsaveopt",
                                                                                "dtherm",
                                                                                "ida",
                                                                                "arat",
                                                                                "pln",
                                                                                "pts",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "6144 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 42,
                                              name                         => "Intel(R) Core(TM) i5-2400 CPU \@ 3.10GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 2,
                                              speed                        => 3278.991,
                                              stepping                     => 7,
                                            },
                                            {
                                              address_width                => 64,
                                              architecture                 => "AMD-64",
                                              bus_speed                    => undef,
                                              data_width                   => 64,
                                              family                       => 6,
                                              flags                        => [
                                                                                "fpu",
                                                                                "vme",
                                                                                "de",
                                                                                "pse",
                                                                                "tsc",
                                                                                "msr",
                                                                                "pae",
                                                                                "mce",
                                                                                "cx8",
                                                                                "apic",
                                                                                "sep",
                                                                                "mtrr",
                                                                                "pge",
                                                                                "mca",
                                                                                "cmov",
                                                                                "pat",
                                                                                "pse36",
                                                                                "clflush",
                                                                                "dts",
                                                                                "acpi",
                                                                                "mmx",
                                                                                "fxsr",
                                                                                "sse",
                                                                                "sse2",
                                                                                "ss",
                                                                                "ht",
                                                                                "tm",
                                                                                "pbe",
                                                                                "syscall",
                                                                                "nx",
                                                                                "rdtscp",
                                                                                "lm",
                                                                                "constant_tsc",
                                                                                "arch_perfmon",
                                                                                "pebs",
                                                                                "bts",
                                                                                "rep_good",
                                                                                "nopl",
                                                                                "xtopology",
                                                                                "nonstop_tsc",
                                                                                "aperfmperf",
                                                                                "eagerfpu",
                                                                                "pni",
                                                                                "pclmulqdq",
                                                                                "dtes64",
                                                                                "monitor",
                                                                                "ds_cpl",
                                                                                "vmx",
                                                                                "smx",
                                                                                "est",
                                                                                "tm2",
                                                                                "ssse3",
                                                                                "cx16",
                                                                                "xtpr",
                                                                                "pdcm",
                                                                                "pcid",
                                                                                "sse4_1",
                                                                                "sse4_2",
                                                                                "x2apic",
                                                                                "popcnt",
                                                                                "tsc_deadline_timer",
                                                                                "aes",
                                                                                "xsave",
                                                                                "avx",
                                                                                "lahf_lm",
                                                                                "epb",
                                                                                "tpr_shadow",
                                                                                "vnmi",
                                                                                "flexpriority",
                                                                                "ept",
                                                                                "vpid",
                                                                                "xsaveopt",
                                                                                "dtherm",
                                                                                "ida",
                                                                                "arat",
                                                                                "pln",
                                                                                "pts",
                                                                              ],
                                              L2_cache                     => { max_cache_size => "6144 KB" },
                                              manufacturer                 => "GenuineIntel",
                                              model                        => 42,
                                              name                         => "Intel(R) Core(TM) i5-2400 CPU \@ 3.10GHz",
                                              number_of_cores              => 4,
                                              number_of_logical_processors => 4,
                                              processor_id                 => 3,
                                              speed                        => 3255.529,
                                              stepping                     => 7,
                                            },
                                          ],
      "func.elapsed_time"              => 19.3380470275879,
      "func.module_startup"            => undef,
      "func.module_versions"           => {
                                            "__PACKAGE__"                         => 1.041,
                                            "Bencher::Scenario::LogGer::Overhead" => undef,
                                            "Benchmark::Dumb"                     => 0.111,
                                            "Devel::Platform::Info"               => 0.16,
                                            "Log::Any"                            => 1.707,
                                            "Log::Contextual"                     => 0.007001,
                                            "Log::Dispatch"                       => 2.65,
                                            "Log::Dispatch::Null"                 => 2.65,
                                            "Log::Dispatchouli"                   => 2.015,
                                            "Log::ger"                            => 0.025,
                                            "Log::ger::App"                       => 0.009,
                                            "Log::ger::Layout::Pattern"           => 0.001,
                                            "Log::ger::Output"                    => 0.025,
                                            "Log::Log4perl"                       => 1.49,
                                            "Log::Log4perl::Tiny"                 => "1.4.0",
                                            "Mojo::Log"                           => undef,
                                            "perl"                                => "v5.26.0",
                                            "Sys::Info"                           => 0.78,
                                          },
      "func.note"                      => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"                   => ["perl", ["perl"], "participant", [0 .. 21]],
      "func.platform_info"             => {
                                            archname => "x86_64",
                                            codename => "sonya",
                                            is32bit  => 0,
                                            is64bit  => 1,
                                            kernel   => "linux-4.8.0-53-generic",
                                            kname    => "Linux",
                                            kvers    => "4.8.0-53-generic",
                                            osflag   => "linux",
                                            oslabel  => "LinuxMint",
                                            osname   => "GNU/Linux",
                                            osvers   => 18.2,
                                            source   => {
                                                          "cat /etc/.issue" => "",
                                                          "cat /etc/issue"  => "Linux Mint 18.2 Sonya \\n \\l",
                                                          "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 18.2 Sonya\nRelease:\t18.2\nCodename:\tsonya",
                                                          "uname -a"        => "Linux builder 4.8.0-53-generic #56~16.04.1-Ubuntu SMP Tue May 16 01:18:56 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux",
                                                          "uname -m"        => "x86_64",
                                                          "uname -o"        => "GNU/Linux",
                                                          "uname -r"        => "4.8.0-53-generic",
                                                          "uname -s"        => "Linux",
                                                        },
                                          },
      "func.precision"                 => 0,
      "func.scenario_module"           => "Bencher::Scenario::LogGer::Overhead",
      "func.scenario_module_md5sum"    => "f15bd7fe75e8a6744f821e7aaea031f2",
      "func.scenario_module_mtime"     => 1545318649,
      "func.scenario_module_sha1sum"   => "dd2d60453b64bef37c58d3eddcc5374babee3268",
      "func.scenario_module_sha256sum" => "c49c4f7c28c7ee075825cada044b95f0b0e285155c5016906181f1389561ca83",
      "func.time_end"                  => 1545319860.72771,
      "func.time_factor"               => 1000,
      "func.time_start"                => 1545319841.38966,
      "table.field_aligns"             => ["left", "number", "number", "number", "number", "number"],
      "table.field_units"              => [undef, "ms", "ms"],
      "table.fields"                   => [
                                            "participant",
                                            "time",
                                            "code_overhead_time",
                                            "vs_slowest",
                                            "errors",
                                            "samples",
                                          ],
    },
  ],
];

1;
# ABSTRACT: Measure startup overhead of various codes

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

